tt=read.table("ftse2011.dat", header=T)
# Dates <- as.vector(t[,1])
# D <- strptime(Dates, "%Y-%m-%d") #convert to  POSIXlt (a date class)
n=nrow(tt)
t=tt[n:1,]

x1=diff(log(t[,2]))
x2=diff(log(t[,3]))
x3=diff(log(t[,4]))

x=data.frame(x1,x2,x3)
names(x)=c("FTSE100", "FTSE MidCap", "FTSE SmallCap")
attach(x)

library(vars)
t=VAR(x, lag.max =3, ic="SC") # both HQIC SC choose p=1, AIC p=3
t1=restrict(t)
# summary(t1)
# serial.test(t1, lags.pt=6, type ="PT.adjusted") # portmanteau test with m=6

ps.options(horizontal=F, width=4.6, height=5.5, pointsize=10)
par(mar=c(0,0,0,0), mgp=c(0,0,0))
postscript("Fig44.ps", onefile=F, print=F)
tt=predict(t, n.ahead=15, ci=0.95)
plot(tt)
dev.off()
detach(x)
